#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two1004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 100"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two1004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two1004xi           # 100  -    

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 100
# -------------------------------------------------------------------------------------------------
shot2two1004xi = {
        1:'0x-44y-89z',
        2:'0x-66y-74z',
        3:'0x0y-99z',
        4:'10x-63y-76z',
        5:'11x-37y-92z',
        6:'11x-49y-86z',
        7:'13x-35y-92z',
        8:'13x-62y-77z',
        9:'13x-98y-5z',
        10:'14x-47y-86z',
        11:'16x-46y-87z',
        12:'16x-60y-77z',
        13:'18x-44y-87z',
        14:'19x-58y-78z',
        15:'19x-97y-6z',
        16:'1x-43y-90z',
        17:'1x-54y-84z',
        18:'20x-42y-88z',
        19:'21x-40y-88z',
        20:'22x-56y-79z',
        21:'23x-38y-89z',
        22:'24x-54y-79z',
        23:'24x-96y-7z',
        24:'25x-36y-89z',
        25:'26x-34y-89z',
        26:'27x-32y-90z',
        27:'27x-52y-80z',
        28:'27x0y-96z',
        29:'28x-2y-95z',
        30:'28x-30y-90z',
        31:'29x-28y-91z',
        32:'29x-3y-95z',
        33:'29x-50y-80z',
        34:'29x-68y-185z',
        35:'29x-95y-8z',
        36:'30x-23y-92z',
        37:'30x-26y-91z',
        38:'30x-5y-95z',
        39:'30x-7y-94z',
        40:'31x-11y-94z',
        41:'31x-13y-93z',
        42:'31x-15y-93z',
        43:'31x-17y-93z',
        44:'31x-19y-92z',
        45:'31x-21y-92z',
        46:'31x-48y-81z',
        47:'31x-9y-94z',
        48:'33x-46y-82z',
        49:'34x-93y-9z',
        50:'35x-43y-82z',
        51:'37x-41y-83z',
        52:'38x-38y-83z',
        53:'38x-91y-10z',
        54:'3x-42y-90z',
        55:'3x-65y-75z',
        56:'3x-99y-3z',
        57:'40x-35y-84z',
        58:'41x-33y-84z',
        59:'42x-1y-90z',
        60:'42x-30y-85z',
        61:'43x-24y-86z',
        62:'43x-27y-85z',
        63:'43x-4y-90z',
        64:'43x-6y-89z',
        65:'43x-89y-11z',
        66:'44x-11y-88z',
        67:'44x-14y-88z',
        68:'44x-16y-87z',
        69:'44x-19y-87z',
        70:'44x-22y-86z',
        71:'44x-9y-89z',
        72:'46x-88y0z',
        73:'48x-86y-12z',
        74:'4x-53y-84z',
        75:'51x-85y0z',
        76:'52x-84y-13z',
        77:'55x-82y-1z',
        78:'56x-81y-14z',
        79:'60x-77y-15z',
        80:'60x-79y-2z',
        81:'64x-74y-16z',
        82:'64x-76y-3z',
        83:'68x-70y-17z',
        84:'68x-73y-4z',
        85:'6x-41y-90z',
        86:'6x-51y-85z',
        87:'71x-67y-18z',
        88:'71x-69y-5z',
        89:'75x-63y-18z',
        90:'75x-65y-6z',
        91:'78x-58y-19z',
        92:'78x-61y-7z',
        93:'7x-64y-75z',
        94:'81x-54y-20z',
        95:'81x-57y-8z',
        96:'83x-50y-21z',
        97:'84x-52y-9z',
        98:'85x-45y-22z',
        99:'86x-48y-10z',
        100:'88x-40y-23z',
        101:'89x-36y-24z',
        102:'89x-43y-11z',
        103:'8x-39y-91z',
        104:'8x-99y-4z',
        105:'91x-31y-25z',
        106:'91x-38y-12z',
        107:'92x-26y-26z',
        108:'93x-21y-27z',
        109:'93x-33y-13z',
        110:'94x-11y-29z',
        111:'94x-16y-28z',
        112:'94x-1y-31z',
        113:'94x-28y-14z',
        114:'94x-6y-30z',
        115:'95x-23y-15z',
        116:'95x-30y0z',
        117:'96x-18y-16z',
        118:'96x-25y0z',
        119:'97x-13y-17z',
        120:'97x-20y-1z',
        121:'97x-3y-19z',
        122:'97x-8y-18z',
        123:'98x-15y-2z',
        124:'99x-10y-3z',
        125:'99x-5y-4z',
        126:'9x-38y-91z',
        127:'9x-50y-85z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire100two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire100two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE100TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE100TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE100TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE100TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE100TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two1004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE100TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE100TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE100TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two1004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two1004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE100TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE100TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE100TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire100two4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two1004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        